Vai al contenuto principale
POST
/
v2
/
enterprise
/
members
/
invite
Endpoint per l'invito dei membri Enterprise
curl --request POST \
  --url https://api.devin.ai/v2/enterprise/members/invite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "emails": [
    "jsmith@example.com"
  ]
}
'
import requests

url = "https://api.devin.ai/v2/enterprise/members/invite"

payload = { "emails": ["jsmith@example.com"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: ['jsmith@example.com']})
};

fetch('https://api.devin.ai/v2/enterprise/members/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "invited_count": 123,
  "invitee_user_id_to_email": {},
  "status": "success"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Richiede una API key personale di un amministratore enterprise. Invita più utenti alla tua enterprise fornendo i loro indirizzi email. Questo endpoint supporta inviti in blocco fino a 100 indirizzi email per richiesta.

Autorizzazioni

Authorization
string
header
obbligatorio

API key personale (apk_user_*) riservata agli amministratori Enterprise

Corpo

application/json
emails
string<email>[]
obbligatorio

Indirizzi email da invitare (max 100)

Maximum array length: 100

Risposta

Risposta riuscita

invited_count
integer
obbligatorio
invitee_user_id_to_email
Invitee User Id To Email · object
obbligatorio
status
string
predefinito:success